Rem *** V1.0; last modified: 2004-11-17 by A. Hesse

echo off
Rem *** Usage: ***
Rem *** 1. Check all the Dirs and change if necessary
Rem *** 2. Check name of the program and mcutype and change if necessary
Rem *** set dirs ***

set CompDir=C:\Programme\Atmel\WinAVR\bin\
Rem *** %Elektronik% must be defined as an enviroment-variable

echo on
set TargetDir=%Elektronik%\AVR\CProg\Test\I2CLCD\

set ProgName=test_i2cdisplay
set cFile1=i2cdisp
set aFile1=i2cmaster
set mcutype=at90s2313
set oFiles=%ProgName%.o %cFile1%.o %aFile1%.o

Rem *** Compile ***
 "%CompDir%avr-gcc.exe" -g -I. -Os -mmcu=%mcutype% -c  "%TargetDir%%ProgName%.c"
 "%CompDir%avr-gcc.exe" -g -I. -Os -mmcu=%mcutype% -c  "%TargetDir%%cFile1%.c"
 "%CompDir%avr-gcc.exe" -g -I. -Os -mmcu=%mcutype% -c  "%TargetDir%%aFile1%.S"

Rem *** Link ***
rem "%CompDir%avr-gcc.exe" -g -mmcu=%mcutype% -I. -o  "%TargetDir%%ProgName%.out"  %ProgName%*.o i2cdisp.o i2cmaster.o
"%CompDir%avr-gcc.exe" -g -mmcu=%mcutype% -I. -o  "%TargetDir%%ProgName%.out"  %oFiles%

Rem *** Show Targetconfig ***
"%CompDir%avr-objdump.exe" -h -S  "%TargetDir%%ProgName%.out" > "%TargetDir%%ProgName%.lst"

Rem *** disassemble **
rem "%CompDir%avr-objdump.exe" -s  "%TargetDir%%ProgName%.out"

Rem *** Map **
"%CompDir%avr-gcc.exe" -g -mmcu=%mcutype% -Wl,-Map, "%TargetDir%%ProgName%.map" -o  "%TargetDir%%ProgName%.out" %oFiles%

Rem *** copy to IntelHex

"%CompDir%avr-objcopy" -j .text -j .data -O ihex  "%TargetDir%%ProgName%.out"  "%TargetDir%%ProgName%.hex"

Rem Beim Assembilieren: Include Dateien im 8_3 Format